use std::io;

fn main() -> anyhow::Result<()> {
    let stdin = io::stdin();

    let mut username = String::new();
    stdin.read_line(&mut username)?;
    let mut password = String::new();
    stdin.read_line(&mut password)?;

    let mut authenticator = pam::Authenticator::with_password("xscreensaver")?;
    authenticator.get_handler().set_credentials(username.trim(), password.trim());
    authenticator.authenticate()?;

    Ok(())
}
